GET v1/SalesOrder?pageNumber={pageNumber}&pageSize={pageSize}&status={status}&createdFrom={createdFrom}&createdTo={createdTo}&modifiedFrom={modifiedFrom}&modifiedTo={modifiedTo}&orderNumber={orderNumber}&completedFrom={completedFrom}&completedTo={completedTo}&shippingType={shippingType}&excludeShippingType={excludeShippingType}
This method gets a paged list of sales orders including customer, address and sales order line data as well as shipments associated with each order
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pageNumber |
The page number for the list you wish to retrieve |
integer |
Optional Must be greater than 1 Default value is 1 if not specified |
| pageSize |
The page size for the list you wish to retrieve |
integer |
Optional Must be greater than 1 and less than 500 Default value is 500 if not specified |
| status |
Filter the list to orders with a particular status value |
integer |
Optional |
| createdFrom |
Filter the list to orders created after a certain date-time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| createdTo |
Filter the list to orders created before a certain date-time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| modifiedFrom |
Filter the list to orders modified after a certain date-time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| modifiedTo |
Filter the list to orders modified before a certain date-time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| orderNumber |
Filter the list to a single order with the matching order number e.g. SO3221 |
string |
Optional |
| completedFrom |
Filter the list to orders completed after a certain date-time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| completedTo |
Filter the list to orders completed before a certain date-time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| shippingType |
Filter the list to orders with this shipping type |
integer |
Optional |
| excludeShippingType |
Filter the list to orders without this shipping type |
integer |
Optional |
Body Parameters
None.
Response Information
Resource Description
A list of sales order data from the Tradevine database
IPagedCollection (of SalesOrder)
| Name | Description | Type |
|---|---|---|
| TotalCount |
The total number of records in the resultset including those returned on this page |
integer |
| PageNumber |
The page number of the current resultset |
integer |
| PageSize |
The page size of the current resultset |
integer |
| List |
The list of records in this page of the resultset |
Collection of SalesOrder |
Response Formats
application/json
Sample:
Sample not available.